fuzzyowl2

## Class ConceptDefinition

- java.lang.Object
- - fuzzyowl2.ConceptDefinition

-     public class ConceptDefinition
      extends java.lang.Object

  Fuzzy concept defined by means of an OWL 2 annotation of an OWL 2 class.
  Author:
    Fernando Bobillo

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConceptDefinition.ConceptType` Types of fuzzy concepts that can be defined using annotations.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConceptDefinition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `choquetConcept(java.util.List<java.lang.Double> weights, java.util.List<java.lang.String> concepts)`
    `void` | `fuzzyNominalConcept(double n, java.lang.String i)`
    `java.util.List<java.lang.String>` | `getConcepts()`
    `java.lang.String` | `getFuzzyConcept()`
    `java.lang.String` | `getFuzzyModifier()`
    `java.lang.String` | `getIndividual()`
    `double` | `getNumber()`
    `java.lang.String` | `getQuantifier()`
    `ConceptDefinition.ConceptType` | `getType()`
    `java.util.List<ConceptDefinition>` | `getWeightedConcepts()`
    `java.util.List<java.lang.Double>` | `getWeights()`
    `void` | `modifiedConcept(java.lang.String mod, java.lang.String c)`
    `void` | `owaConcept(java.util.List<java.lang.Double> weights, java.util.List<java.lang.String> concepts)`
    `void` | `quantifierOwaConcept(java.lang.String q, java.util.List<java.lang.String> concepts)`
    `void` | `quasiSugenoConcept(java.util.List<java.lang.Double> weights, java.util.List<java.lang.String> concepts)`
    `void` | `sugenoConcept(java.util.List<java.lang.Double> weights, java.util.List<java.lang.String> concepts)`
    `void` | `weightedConcept(double n, java.lang.String c)`
    `void` | `weightedMaxConcept(java.util.List<ConceptDefinition> list)`
    `void` | `weightedMinConcept(java.util.List<ConceptDefinition> list)`
    `void` | `weightedSumConcept(java.util.List<ConceptDefinition> list)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConceptDefinition

          public ConceptDefinition()

  - ### Method Detail

    - #### getType

          public ConceptDefinition.ConceptType getType()

    - #### modifiedConcept

          public void modifiedConcept(java.lang.String mod,
                             java.lang.String c)

    - #### weightedConcept

          public void weightedConcept(double n,
                             java.lang.String c)

    - #### fuzzyNominalConcept

          public void fuzzyNominalConcept(double n,
                                 java.lang.String i)

    - #### weightedMaxConcept

          public void weightedMaxConcept(java.util.List<ConceptDefinition> list)

    - #### weightedMinConcept

          public void weightedMinConcept(java.util.List<ConceptDefinition> list)

    - #### weightedSumConcept

          public void weightedSumConcept(java.util.List<ConceptDefinition> list)

    - #### owaConcept

          public void owaConcept(java.util.List<java.lang.Double> weights,
                        java.util.List<java.lang.String> concepts)

    - #### choquetConcept

          public void choquetConcept(java.util.List<java.lang.Double> weights,
                            java.util.List<java.lang.String> concepts)

    - #### sugenoConcept

          public void sugenoConcept(java.util.List<java.lang.Double> weights,
                           java.util.List<java.lang.String> concepts)

    - #### quasiSugenoConcept

          public void quasiSugenoConcept(java.util.List<java.lang.Double> weights,
                                java.util.List<java.lang.String> concepts)

    - #### quantifierOwaConcept

          public void quantifierOwaConcept(java.lang.String q,
                                  java.util.List<java.lang.String> concepts)

    - #### getWeights

          public java.util.List<java.lang.Double> getWeights()

    - #### getConcepts

          public java.util.List<java.lang.String> getConcepts()

    - #### getWeightedConcepts

          public java.util.List<ConceptDefinition> getWeightedConcepts()

    - #### getFuzzyModifier

          public java.lang.String getFuzzyModifier()

    - #### getFuzzyConcept

          public java.lang.String getFuzzyConcept()

    - #### getIndividual

          public java.lang.String getIndividual()

    - #### getQuantifier

          public java.lang.String getQuantifier()

    - #### getNumber

          public double getNumber()